#  First you should change default database collation to avoid future problems:

   ALTER DATABASE _NAME_OF_DB_ DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;



#   Then change each tables, which is used by eshop software, collation:

    ALTER TABLE `oxaccessoire2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxacceptedterms` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxactions` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxactions2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxaddress` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxadminlog` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxartextends` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxarticles` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxattribute` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxcategories` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxcategory2attribute` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxconfig` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxconfigdisplay` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxcontents` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxcountry` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxdel2delset` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxdelivery` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxdeliveryset` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxdiscount` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxgbentries` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxgroups` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxgroups` MODIFY COLUMN `OXTITLE` varchar(128) NOT NULL DEFAULT '';
    ALTER TABLE `oxlinks` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxlogs` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxmanufacturers` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxmediaurls` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxnews` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxnewssubscribed` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2attribute` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2category` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2delivery` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2discount` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2group` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2list` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2payment` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2selectlist` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxobject2seodata` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxorder` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxorderarticles` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxpayments` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxprice2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxpricealarm` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxratings` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxrecommlists` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxremark` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxreviews` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxselectlist` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxseo` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxseohistory` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxseologs` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxshops` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxuser` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxuserbasketitems` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxuserbaskets` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxuserpayments` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxvendor` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxvouchers` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxvoucherseries` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxwrapping` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxstates` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxtplblocks` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;

    ALTER TABLE `oxnewsletter` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;
    ALTER TABLE `oxstatistics` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci;


#   Change collation of all fields which keeps non language specific text data, like OXID, OXOBJECTID and others:

    ALTER TABLE `oxaccessoire2article` CHANGE `OXID` `OXID` CHAR( 32 ) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL;
    ALTER TABLE `oxaccessoire2article` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxaccessoire2article` CHANGE `OXARTICLENID` `OXARTICLENID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxacceptedterms` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxacceptedterms` CHANGE `OXTERMVERSION` `OXTERMVERSION` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxaddress` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXADDRESSUSERID` `OXADDRESSUSERID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxaddress` CHANGE `OXCOUNTRYID` `OXCOUNTRYID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxadminlog` CHANGE `OXUSERID` `OXUSERID` char( 32 ) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxarticles` CHANGE `OXPARENTID` `OXPARENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL  default '';
    ALTER TABLE `oxarticles` CHANGE `OXAMITEMID` `OXAMITEMID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXAMTASKID` `OXAMTASKID` varchar(16) character set latin1 collate latin1_general_ci NOT NULL default '0';
    ALTER TABLE `oxarticles` CHANGE `OXVENDORID` `OXVENDORID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXMANUFACTURERID` `OXMANUFACTURERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXDELTIMEUNIT` `OXDELTIMEUNIT` varchar(255) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxartextends` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxattribute` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxuserbaskets` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxuserbaskets` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxuserbasketitems` CHANGE `OXBASKETID` `OXBASKETID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXPERSPARAM` `OXPERSPARAM` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXPARENTID` `OXPARENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default 'oxrootid';
    ALTER TABLE `oxcategories` CHANGE `OXROOTID` `OXROOTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxconfig` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxconfigdisplay` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXLOADID` `OXLOADID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCATID` `OXCATID` varchar(32) character set latin1 collate latin1_general_ci default NULL;
    ALTER TABLE `oxcountry` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxdelivery` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXITMARTID` `OXITMARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxgbentries` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxgbentries` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxgroups` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxlinks` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxlogs` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlogs` CHANGE `OXSESSID` `OXSESSID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlogs` CHANGE `OXCLASS` `OXCLASS` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlogs` CHANGE `OXFNC` `OXFNC` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlogs` CHANGE `OXCNID` `OXCNID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlogs` CHANGE `OXANID` `OXANID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxvouchers` CHANGE `OXORDERID` `OXORDERID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxvouchers` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxvouchers` CHANGE `OXVOUCHERSERIEID` `OXVOUCHERSERIEID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxvouchers` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxvoucherseries` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxnews` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2article` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2article` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2article` CHANGE `OXARTICLENID` `OXARTICLENID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2attribute` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXATTRID` `OXATTRID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2category` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2category` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2category` CHANGE `OXCATNID` `OXCATNID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2delivery` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2delivery` CHANGE `OXDELIVERYID` `OXDELIVERYID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2delivery` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2delivery` CHANGE `OXTYPE` `OXTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2discount` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2discount` CHANGE `OXDISCOUNTID` `OXDISCOUNTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2discount` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2discount` CHANGE `OXTYPE` `OXTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2group` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2group` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2group` CHANGE `OXGROUPSID` `OXGROUPSID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2payment` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2payment` CHANGE `OXPAYMENTID` `OXPAYMENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2payment` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2payment` CHANGE `OXTYPE` `OXTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2selectlist` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2selectlist` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2selectlist` CHANGE `OXSELNID` `OXSELNID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxorder` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLCOUNTRYID` `OXBILLCOUNTRYID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELCOUNTRYID` `OXDELCOUNTRYID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXPAYMENTID` `OXPAYMENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXPAYMENTTYPE` `OXPAYMENTTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXCARDID` `OXCARDID` varchar( 32 ) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXPAYID` `OXPAYID` varchar(64) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELTYPE` `OXDELTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxorderarticles` CHANGE `OXORDERID` `OXORDERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxprice2article` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxprice2article` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxpricealarm` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxpricealarm` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxpricealarm` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxrecommlists` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxrecommlists` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2list` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxobject2list` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2list` CHANGE `OXLISTID` `OXLISTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxremark` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxremark` CHANGE `OXPARENTID` `OXPARENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxratings` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxratings` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxratings` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxreviews` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxreviews` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxreviews` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxshops` CHANGE `OXDEFCAT` `OXDEFCAT` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxuser` CHANGE `OXRIGHTS` `OXRIGHTS` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXPASSSALT` `OXPASSSALT` char(128) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxuser` CHANGE `OXCOUNTRYID` `OXCOUNTRYID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuserpayments` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxuserpayments` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuserpayments` CHANGE `OXPAYMENTSID` `OXPAYMENTSID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxuserpayments` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxactions2article` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxactions2article` CHANGE `OXACTIONID` `OXACTIONID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxactions2article` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxdel2delset` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxdel2delset` CHANGE `OXDELID` `OXDELID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxdel2delset` CHANGE `OXDELSETID` `OXDELSETID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxcategory2attribute` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxcategory2attribute` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxcategory2attribute` CHANGE `OXATTRID` `OXATTRID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxnewssubscribed` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxmanufacturers` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxseo` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxseo` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxseohistory` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxseohistory` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxseologs` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL;

    ALTER TABLE `oxarticles` CHANGE `OXBUNDLEID` `OXBUNDLEID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxnewsletter` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxstatistics` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxarticles` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxattribute` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxconfig` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxacceptedterms` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxdiscount` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxgbentries` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlinks` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxlogs` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxnewsletter` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2group` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxprice2article` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxpricealarm` CHANGE `OXSHOPID` `OXSHOPID` char( 32 ) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxrecommlists` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxratings` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL;
    ALTER TABLE `oxstatistics` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxactions2article` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxseo` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2seodata` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxseohistory` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxseologs` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXORDERSHOPID` `OXORDERSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '';



#   And finally update all UTF-8 covered fields:

    ALTER TABLE `oxaddress` CHANGE `OXCOMPANY` `OXCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXFNAME` `OXFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXLNAME` `OXLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXSTREET` `OXSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXSTREETNR` `OXSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXADDINFO` `OXADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXCITY` `OXCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXCOUNTRY` `OXCOUNTRY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXZIP` `OXZIP` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXFON` `OXFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXFAX` `OXFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxaddress` CHANGE `OXSAL` `OXSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxadminlog` CHANGE `OXSQL` `OXSQL` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxarticles` CHANGE `OXARTNUM` `OXARTNUM` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXEAN` `OXEAN` varchar(13) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXDISTEAN` `OXDISTEAN` varchar(13) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXUNITNAME` `OXUNITNAME` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXEXTURL` `OXEXTURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC` `OXURLDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLIMG` `OXURLIMG` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTHUMB` `OXTHUMB` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC1` `OXPIC1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC2` `OXPIC2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC3` `OXPIC3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC4` `OXPIC4` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC5` `OXPIC5` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC6` `OXPIC6` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC7` `OXPIC7` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC8` `OXPIC8` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC9` `OXPIC9` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC10` `OXPIC10` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC11` `OXPIC11` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXPIC12` `OXPIC12` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT` `OXSTOCKTEXT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT` `OXNOSTOCKTEXT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXFILE` `OXFILE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS` `OXSEARCHKEYS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTEMPLATE` `OXTEMPLATE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXQUESTIONEMAIL` `OXQUESTIONEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME` `OXVARNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT` `OXVARSELECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME_1` `OXVARNAME_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT_1` `OXVARSELECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME_2` `OXVARNAME_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT_2` `OXVARSELECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME_3` `OXVARNAME_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT_3` `OXVARSELECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC_1` `OXURLDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS_1` `OXSEARCHKEYS_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC_2` `OXURLDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS_2` `OXSEARCHKEYS_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC_3` `OXURLDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS_3` `OXSEARCHKEYS_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSUBCLASS` `OXSUBCLASS` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT_1` `OXSTOCKTEXT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT_2` `OXSTOCKTEXT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT_3` `OXSTOCKTEXT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT_1` `OXNOSTOCKTEXT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT_2` `OXNOSTOCKTEXT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT_3` `OXNOSTOCKTEXT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS` `OXTAGS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS_1` `OXTAGS_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS_2` `OXTAGS_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS_3` `OXTAGS_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxattribute` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxattribute` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxattribute` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxattribute` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbaskets` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXAMOUNT` `OXAMOUNT` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXSELLIST` `OXSELLIST` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTITLE` `OXTITLE` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC` `OXDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB` `OXTHUMB` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB_1` `OXTHUMB_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB_2` `OXTHUMB_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB_3` `OXTHUMB_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXEXTLINK` `OXEXTLINK` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTEMPLATE` `OXTEMPLATE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDEFSORT` `OXDEFSORT` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC_1` `OXDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC_2` `OXDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC_3` `OXDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXPROMOICON` `OXPROMOICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxconfigdisplay` CHANGE `OXGROUPING` `OXGROUPING` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxconfigdisplay` CHANGE `OXVARCONSTRAINT` `OXVARCONSTRAINT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXPOSITION` `OXPOSITION` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT` `OXCONTENT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT_1` `OXCONTENT_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT_2` `OXCONTENT_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT_3` `OXCONTENT_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXISOALPHA2` `OXISOALPHA2` char(2) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXISOALPHA3` `OXISOALPHA3` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXUNNUM3` `OXUNNUM3` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC` `OXLONGDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXADDSUMTYPE` `OXADDSUMTYPE` enum('%','abs') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'abs';
    ALTER TABLE `oxdelivery` CHANGE `OXDELTYPE` `OXDELTYPE` enum('a','s','w','p') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'a';
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE_1` `OXTITLE_1` varchar( 128 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE_2` `OXTITLE_2` varchar( 128 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE_3` `OXTITLE_3` varchar( 128 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXADDSUMTYPE` `OXADDSUMTYPE` enum('%','abs','itm') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '%';
    ALTER TABLE `oxgbentries` CHANGE `OXCONTENT` `OXCONTENT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxgroups` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxlinks` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC` `OXURLDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC_1` `OXURLDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC_2` `OXURLDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC_3` `OXURLDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxvouchers` CHANGE `OXVOUCHERNR` `OXVOUCHERNR` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE` `OXVALUE` char(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE_1` `OXVALUE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE_2` `OXVALUE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE_3` `OXVALUE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLCOMPANY` `OXBILLCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLEMAIL` `OXBILLEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLFNAME` `OXBILLFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLLNAME` `OXBILLLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLSTREET` `OXBILLSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLSTREETNR` `OXBILLSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLADDINFO` `OXBILLADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLUSTID` `OXBILLUSTID` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLCITY` `OXBILLCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLZIP` `OXBILLZIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLFON` `OXBILLFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLFAX` `OXBILLFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLSAL` `OXBILLSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELCOMPANY` `OXDELCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELFNAME` `OXDELFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELLNAME` `OXDELLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELSTREET` `OXDELSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELSTREETNR` `OXDELSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELADDINFO` `OXDELADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELCITY` `OXDELCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELZIP` `OXDELZIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELFON` `OXDELFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELFAX` `OXDELFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELSAL` `OXDELSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXCARDTEXT` `OXCARDTEXT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxorder` CHANGE `OXBILLNR` `OXBILLNR` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXTRACKCODE` `OXTRACKCODE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXREMARK` `OXREMARK` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxorder` CHANGE `OXCURRENCY` `OXCURRENCY` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXTRANSID` `OXTRANSID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXXID` `OXXID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXIP` `OXIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXTRANSSTATUS` `OXTRANSSTATUS` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXARTNUM` `OXARTNUM` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXSELVARIANT` `OXSELVARIANT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXPERSPARAM` `OXPERSPARAM` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxorderarticles` CHANGE `OXWRAPID` `OXWRAPID` varchar( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXEXTURL` `OXEXTURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXURLDESC` `OXURLDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXURLIMG` `OXURLIMG` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXTHUMB` `OXTHUMB` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC1` `OXPIC1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC2` `OXPIC2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC3` `OXPIC3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC4` `OXPIC4` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC5` `OXPIC5` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXFILE` `OXFILE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXSEARCHKEYS` `OXSEARCHKEYS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXTEMPLATE` `OXTEMPLATE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXQUESTIONEMAIL` `OXQUESTIONEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorderarticles` CHANGE `OXSUBCLASS` `OXSUBCLASS` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXDESC` `OXDESC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXADDSUMTYPE` `OXADDSUMTYPE` enum('abs','%') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'abs';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC` `OXVALDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXDESC_1` `OXDESC_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC_1` `OXVALDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXDESC_2` `OXDESC_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC_2` `OXVALDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXDESC_3` `OXDESC_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC_3` `OXVALDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpricealarm` CHANGE `OXEMAIL` `OXEMAIL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpricealarm` CHANGE `OXCURRENCY` `OXCURRENCY` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxrecommlists` CHANGE `OXAUTHOR` `OXAUTHOR` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxrecommlists` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxrecommlists` CHANGE `OXDESC` `OXDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxobject2list` CHANGE `OXDESC` `OXDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxratings` CHANGE `OXTYPE` `OXTYPE` enum('oxarticle','oxrecommlist') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxremark` CHANGE `OXTYPE` `OXTYPE` enum('o','r','n','c') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'r';
    ALTER TABLE `oxremark` CHANGE `OXHEADER` `OXHEADER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxremark` CHANGE `OXTEXT` `OXTEXT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxreviews` CHANGE `OXTYPE` `OXTYPE` enum('oxarticle','oxrecommlist') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxreviews` CHANGE `OXTEXT` `OXTEXT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE` `OXTITLE` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXIDENT` `OXIDENT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC` `OXVALDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC_1` `OXVALDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC_2` `OXVALDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC_3` `OXVALDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxshops` CHANGE `OXDEFCURRENCY` `OXDEFCURRENCY` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXNAME` `OXNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX` `OXTITLEPREFIX` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX_1` `OXTITLEPREFIX_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX_2` `OXTITLEPREFIX_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX_3` `OXTITLEPREFIX_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX` `OXTITLESUFFIX` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX_1` `OXTITLESUFFIX_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX_2` `OXTITLESUFFIX_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX_3` `OXTITLESUFFIX_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE` `OXSTARTTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE_1` `OXSTARTTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE_2` `OXSTARTTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE_3` `OXSTARTTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXINFOEMAIL` `OXINFOEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDEREMAIL` `OXORDEREMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXOWNEREMAIL` `OXOWNEREMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT` `OXORDERSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT` `OXREGISTERSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT` `OXFORGOTPWDSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT` `OXSENDEDNOWSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT_1` `OXORDERSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT_1` `OXREGISTERSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT_1` `OXFORGOTPWDSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT_1` `OXSENDEDNOWSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT_2` `OXORDERSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT_2` `OXREGISTERSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT_2` `OXFORGOTPWDSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT_2` `OXSENDEDNOWSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT_3` `OXORDERSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT_3` `OXREGISTERSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT_3` `OXFORGOTPWDSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT_3` `OXSENDEDNOWSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSMTP` `OXSMTP` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSMTPUSER` `OXSMTPUSER` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSMTPPWD` `OXSMTPPWD` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXCOMPANY` `OXCOMPANY` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTREET` `OXSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXZIP` `OXZIP` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXCITY` `OXCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXCOUNTRY` `OXCOUNTRY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXBANKNAME` `OXBANKNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXBANKNUMBER` `OXBANKNUMBER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXBANKCODE` `OXBANKCODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXVATNUMBER` `OXVATNUMBER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXBICCODE` `OXBICCODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXIBANNUMBER` `OXIBANNUMBER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFNAME` `OXFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXLNAME` `OXLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTELEFON` `OXTELEFON` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTELEFAX` `OXTELEFAX` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXHRBNR` `OXHRBNR` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXCOURT` `OXCOURT` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXADBUTLERID` `OXADBUTLERID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXAFFILINETID` `OXAFFILINETID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSUPERCLICKSID` `OXSUPERCLICKSID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXAFFILIWELTID` `OXAFFILIWELTID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXAFFILI24ID` `OXAFFILI24ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXEDITION` `OXEDITION` CHAR( 2 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxshops` CHANGE `OXVERSION` `OXVERSION` CHAR( 16 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxuser` CHANGE `OXSHOPID` `OXSHOPID` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXUSERNAME` `OXUSERNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXPASSWORD` `OXPASSWORD` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXUSTID` `OXUSTID` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXCOMPANY` `OXCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXFNAME` `OXFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXLNAME` `OXLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXSTREET` `OXSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXSTREETNR` `OXSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXADDINFO` `OXADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXCITY` `OXCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXZIP` `OXZIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXFON` `OXFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXFAX` `OXFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXSAL` `OXSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXPRIVFON` `OXPRIVFON` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXMOBFON` `OXMOBFON` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuser` CHANGE `OXUPDATEKEY` `OXUPDATEKEY` varchar( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC` `OXPIC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC_1` `OXPIC_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC_2` `OXPIC_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC_3` `OXPIC_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK` `OXLINK` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK_1` `OXLINK_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK_2` `OXLINK_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK_3` `OXLINK_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXTYPE` `OXTYPE` varchar(4) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'WRAP';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME` `OXNAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME_1` `OXNAME_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME_2` `OXNAME_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME_3` `OXNAME_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXPIC` `OXPIC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXSAL` `OXSAL` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXFNAME` `OXFNAME` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXLNAME` `OXLNAME` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXEMAIL` `OXEMAIL` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxseo` CHANGE `OXSTDURL` `OXSTDURL` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxseo` CHANGE `OXTYPE` `OXTYPE` enum('static','oxarticle','oxcategory','oxvendor','oxcontent','dynamic','oxmanufacturer') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxseo` CHANGE `OXPARAMS` `OXPARAMS` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2seodata` CHANGE `OXKEYWORDS` `OXKEYWORDS` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxobject2seodata` CHANGE `OXDESCRIPTION` `OXDESCRIPTION` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxseologs` CHANGE `OXSTDURL` `OXSTDURL` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC` `OXDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC_1` `OXDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC_2` `OXDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC_3` `OXDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlogs` CHANGE `OXPARAMETER` `OXPARAMETER` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';

    ALTER TABLE `oxnewsletter` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnewsletter` CHANGE `OXTEMPLATE` `OXTEMPLATE` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxnewsletter` CHANGE `OXPLAINTEMPLATE` `OXPLAINTEMPLATE` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxstatistics` CHANGE `OXTITLE` `OXTITLE` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxstatistics` CHANGE `OXVALUE` `OXVALUE` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;

    ALTER TABLE `oxvoucherseries` CHANGE `OXSHOPID` `OXSHOPID` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvoucherseries` CHANGE `OXSERIENR` `OXSERIENR` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvoucherseries` CHANGE `OXSERIEDESCRIPTION` `OXSERIEDESCRIPTION` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvoucherseries` CHANGE `OXDISCOUNTTYPE` `OXDISCOUNTTYPE` enum('percent','absolute') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'absolute';

    ALTER TABLE `oxstates` CHANGE `OXTITLE` `OXTITLE` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxstates` CHANGE `OXTITLE_1` `OXTITLE_1` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxstates` CHANGE `OXTITLE_2` `OXTITLE_2` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxstates` CHANGE `OXTITLE_3` `OXTITLE_3` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
